'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var dialog = require('@reach/dialog');
var VisuallyHidden = _interopDefault(require('@reach/visually-hidden'));

function Modal({ showDialog, onCloseDialog }) {
    return (React.createElement(dialog.DialogOverlay, { isOpen: showDialog },
        React.createElement(dialog.DialogContent, { style: {
                border: "solid 5px hsla(0, 0%, 0%, 0.5)",
                borderRadius: "10px"
            } },
            React.createElement("p", null, "I have a nice border now."),
            React.createElement("p", null,
                "Note that we could have used the simpler ",
                React.createElement("code", null, "Dialog"),
                " instead."),
            React.createElement("button", { className: "close-button", onClick: onCloseDialog },
                React.createElement(VisuallyHidden, null, "Close"),
                React.createElement("span", { "aria-hidden": true }, "\u00D7")))));
}

exports.Modal = Modal;
//# sourceMappingURL=reactNetlifyIdentityWidget.cjs.development.js.map
